Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.impl
Class XPATHReturnValueEvaluator

    java.lang.Object
      org.jbpm.process.instance.impl.XPATHReturnValueEvaluator

All Implemented Interfaces:
  Externalizable, Serializable, ReturnValueEvaluator

    public class XPATHReturnValueEvaluator

extends Object
implements ReturnValueEvaluator, Externalizable

See Also:
  Serialized Form

Constructor Summary
`XPATHReturnValueEvaluator()`
`XPATHReturnValueEvaluator(String expression, String id)`

Method Summary
`Object` | `evaluate(ProcessContext context)`
`String` | `getDialect()`
`void` | `readExternal(ObjectInput in)`
`String` | `toString()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPATHReturnValueEvaluator

    public XPATHReturnValueEvaluator()

### XPATHReturnValueEvaluator

    public XPATHReturnValueEvaluator(String expression,
                                     String id)

Method Detail

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### getDialect

    public String getDialect()

### evaluate

    public Object evaluate(ProcessContext context)
                    throws Exception

  Specified by:
    `evaluate` in interface `ReturnValueEvaluator`
  Throws:
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.